Bug 442692 - Review Request: gypsy - GPS multiplexing daemon
Review Request: gypsy - GPS multiplexing daemon
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 06:19 EDT by Peter Robinson
Modified: 2008-05-18 16:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-18 16:58:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2008-04-16 06:19:57 EDT
Spec URL: http://fedora.roving-it.com/rawhide/gypsy.spec
SRPM URL: http://fedora.roving-it.com/rawhide/gypsy-0.6-1.fc9.src.rpm
Description: Gypsy is a GPS multiplexing daemon which allows multiple clients to access GPS data from multiple GPS sources concurrently.
Comment 1 Peter Robinson 2008-04-28 14:38:34 EDT
Updated and cleaned some of the spec

SPEC: http://fedora.roving-it.com/rawhide/gypsy.spec
SRPM: http://fedora.roving-it.com/rawhide/gypsy-0.6-2.fc9.src.rpm
Comment 2 Matthias Clasen 2008-05-14 21:25:11 EDT
Trying to build the package in mock shows that it misses a 

BuildRequires: xsltproc

Once that is added, it builds fine. Here is the rpmlint report on the resulting
packages:

[mclasen@localhost newcvs]$ rpmlint
/var/lib/mock/fedora-9-i386/result/gypsy*.i386.rpm
gypsy.i386: W: non-conffile-in-etc /etc/dbus-1/system.d/Gypsy.conf

The warning can be ignored, since it is common pracise for files in that
directory to not be marked as conffiles.
Comment 3 Matthias Clasen 2008-05-14 21:47:09 EDT
package name: ok
spec file name: ok
packaging guidelines: ok, but please add a newline before %description
license: ok
license field: ok, but it would be nice to add a comment explaining where each
    license applies (or just say 'for details see LICENSE')
license files: ok
spec file language: ok
spec file legibility: ok
sources: ok
buildable: ok
ExcludeArch: n/a
build deps: must add libxslt
locale handling: n/a
ldconfig: ok
relocatable: n/a
directory: ownership: -devel should require gtk-doc for /usr/share/gtk-doc/html
duplicate files: ok
permissions: ok
%clean: ok
macro use: ok
content: permissible
documentation: n/a
%doc: ok
headers: ok
static libs: n/a
pc files: ok
shared libraries: ok
devel package: ok
la files: ok
gui apps: n/a
file ownership: ok
%install: ok
utf8 filenames: ok

Comment 4 Peter Robinson 2008-05-15 05:17:14 EDT
Just a clarification for the license note. Would I put the 'see LICENSE file'
note in the actual license field or somewhere else?

I have a new version of the spec file done once I can update that component.
Comment 5 Matthias Clasen 2008-05-15 09:11:19 EDT
In a comment, something like:

# see LICENSE for details
License: FOO and BAR
Comment 7 Matthias Clasen 2008-05-15 10:35:31 EDT
Looks fine now. Approved.
Comment 8 Peter Robinson 2008-05-15 10:45:21 EDT
New Package CVS Request
=======================
Package Name: gypsy
Short Description: Gypsy is a GPS multiplexing daemon
Owners: pbrobinson
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-05-15 12:09:53 EDT
cvs done, but I changed the description to just "a GPS multiplexing daemon" as
the package name is redundant there. Let me know if you disagree and would like
it changed. 
Comment 10 Peter Robinson 2008-05-16 09:36:57 EDT
In CVS and built in Koji. As far as I can see this now will be pushed to
rawhide, and I need to request builds Bodhi for F9/F8?

https://koji.fedoraproject.org/koji/taskinfo?taskID=612373
Comment 11 Matthias Clasen 2008-05-16 10:02:38 EDT
Yes, after some consultation, filing it in bodhi as 'enhancement' is the right
thing to do (at some point, bodhi will also grow an explicit 'new package' type,
but for now, 'enhancement' is the closest)

You should also add the new package to comps at an appropriate place.
Comment 12 Matthias Clasen 2008-05-16 10:09:54 EDT
See http://fedoraproject.org/wiki/PackageMaintainers/CompsXml
for some hints about comps
Comment 13 Peter Robinson 2008-05-18 16:58:14 EDT
In rawhide and F-9 testing updates

Note You need to log in before you can comment on or make changes to this bug.